Bug 453145 - SELinux AVCs
SELinux AVCs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-27 11:09 EDT by Matthew Saltzman
Modified: 2008-11-17 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2008-06-27 11:09:01 EDT
Description of problem:
SELinux throws AVCs

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64

How reproducible:
Once, so far.  Haven't retried.

Steps to Reproduce:
1. Install above-version NM packages.
2. Boot and log in.
3.
  
Actual results:
host=valkyrie.localdomain type=AVC msg=audit(1214578496.577:20): avc: denied {
setsched } for pid=3396 comm="NetworkManager"
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:system_r:NetworkManager_t:s0 tclass=process
host=valkyrie.localdomain type=SYSCALL msg=audit(1214578496.577:20):
arch=c000003e syscall=144 success=no exit=-13 a0=d44 a1=0 a2=7fff52f45880 a3=0
items=0 ppid=1 pid=3396 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager"
exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0
key=(null) 

host=valkyrie.localdomain type=AVC msg=audit(1214578496.582:23): avc: denied {
read } for pid=3396 comm="NetworkManager" name="tmp" dev=dm-0 ino=622596
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:tmp_t:s0 tclass=dir host=valkyrie.localdomain
type=SYSCALL msg=audit(1214578496.582:23): arch=c000003e syscall=2 success=no
exit=-13 a0=8c9976 a1=0 a2=1b6 a3=0 items=0 ppid=1 pid=3396 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager"
subj=system_u:system_r:NetworkManager_t:s0 key=(null) 

Expected results:
no AVCs

Additional info:
Comment 1 John Poelstra 2008-06-27 14:19:50 EDT
what version of  selinux-policy-targeted are you running?
Comment 2 Matthew Saltzman 2008-06-27 14:27:15 EDT
selinux-policy-targeted-3.0.8-109.fc8.noarch, the latest F8 production.

Sorry, should have noted that.
Comment 3 Daniel Walsh 2008-07-02 15:57:04 EDT
Fixed in selinux-policy-3.0.8-111.fc8
Comment 4 Daniel Walsh 2008-11-17 17:04:50 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.